/*
   01 - Hello World
   Welcome to your first program. This one will let you write the words
   "Hello World" to your LCD screen.

   Anything you write in between comment brackets like the ones above
   and below this paragraph will be "commented out" meaning it will not
   mean anything to your microcontroller.

   Another way to "comment out" text is to place a double slash // before
   the text you want to comment out. This will only comment things to the
   right of the slashes.

   Comments are used to make programs easy to understand. Use them
   frequently and gratuitously when you code.
*/

// This section of code is setting up the screen and the wire attached to it.
#include <Wire.h>
#include "rgb_lcd.h"
rgb_lcd lcd;

// This code is used to set the screen colour. Feel free to change the numbers
// to between 0 and 255. Experiment to make your favorite colour.
const int colorR = 255;
const int colorG = 0;
const int colorB = 0;

//The setup part of this program will run once when you first start your microcontroller.
void setup()
{
  // This code sets up the LCD's number of columns and rows:
  lcd.begin(16, 2);

  // This code sends the colour numbers you set to the screen.
  lcd.setRGB(colorR, colorG, colorB);

  // This code sends whatever is in the quotations " " to the screen.
  lcd.print("Hello, world!");

  // This code tells the microcontroller to wait for one second
  // (1000 milliseconds) before moving on to the next task.
  delay(1000);

  //This code clears the screen to make room for new text.
  lcd.clear();

  lcd.print("Great job!");
}


void loop()
{

}

/*
  Hello World.ino
  2013 Copyright (c) Seeed Technology Inc.  All right reserved.

  Author:Loovee
  2013-09-18
  Modified by: Mitchell Way
  2016-07-04

  Grove - Serial LCD RGB Backlight demo.

  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/


