/*
   Reading Sensors

   Written by: Mitchell Way

   This code is meant as an introduction to analog sensors.
   It uses the most basic pieces such as a serial moniter for reading the results coming
   off of the sensors.
*/

// Usually int variables can only be numbers but since we are using
// an analog pin (A0-A3) we write it instead. Your Arduino will
// translate A0 into the number 14 which is the technical pin for A0
// This variable is a const because it won't change through the program.
const int sensor = A0;

// This variable is what we are going to use to store whatever number the
// sensor is showing. We initialize it as zero just in case that variable
// is storing something from our last program.
int sensorValue = 0;

void setup() {
  // put your setup code here, to run once:

  //This code declares that pin A0 is an imput as we are going to connect sensors to it.
  pinMode(sensor, INPUT);

  // This code tells the controller that we will be using the serial moniter and that
  // it should communicate at 9600 baud
  Serial.begin(9600);

}

void loop() {
  // put your main code here, to run repeatedly:

  // This code reads what value is on the sensor(A0) and makes it and sensorValue the same
  sensorValue = analogRead(sensor);

  // This code prints the exact text "Sensor reading = " This is especially important if we
  // want to read multiple sensors.
  Serial.print("Sensor reading = ");

  // This code prints whatever number sensorValue is equal to right now. It should be between 0 and 1023
  // The ln part of println represents a new line starting after whatever is printed.
  Serial.println(sensorValue);

  //This delay is here to make the readings easy to see. Try removing this delay and running your program.
  delay(1000);

}
