/*
 * Activity: Follow Me
 * 
 * This program is meant to show how you can write the
 * value from a Grove Rotary Sensor(trimpot) to a servo motor.
 * 
 * It is designed to have a Grove Rotary Angle Sensor attached to pin A0
 * and a servo motor attached at pin D7.
 * 
 * 
 *    Written by Mitchell Way, July 2016 Based on example code by
 *    Michal Rinott and Scott Fitzgerald
 */

// This code tells the program that we will be using the Servo library
// which is a seperate series of commands that we don't usually need, but
// in this program will need to make running our servo easy.
#include<Servo.h>

// This code creates an object called groveServo that we will use, like an
// int variable in previous programs to refer to our servo.
Servo groveServo;

//This code sets the trimpot location and creates a variable to store whatever 
// values come off that sensor.
const int trimpot = A0;
int trimpotValue = 0;


void setup() {
  
// This code attaches this new object we created to pin D7, where our servo is.
groveServo.attach(7);

}

void loop() {

  // This code reads the trimpot and writes it to trimpotValue
trimpotValue = analogRead(trimpot);

// This code maps the trimpot value (0-1023) down to a value between 0 and 180
//which the servo can read.
trimpotValue = map(trimpotValue, 0, 1023, 0, 180);

//This sends a signal to the servo to match its angle with trimpotValue(0-180)
groveServo.write(trimpotValue);

//The delay allows the servo time to move to that location before receiving another command.
//Changing this value will change the speed and reaction time of the servo.
delay(1);


}
