/*
   Activity: Complete Control

   This code is meant to be used with an Arduino and Grove
   Base Shield as well as a Pushbutton (D4) and LED Socket(D2).

   It is meant to allow the user to light the LED when the
   pushbutton is pressed.
*/

// These variables set pin assignments and act as storage variables.
int const led = 2;
int const pushButton = 4;
int buttonValue;

void setup() {

  //This code calibrates the led and button as inputs or outputs.
  pinMode(led, OUTPUT);
  pinMode(pushButton, INPUT);

}

void loop() {

  //This code reads the value of the pushbutton.
  buttonValue = digitalRead(pushButton);

  // This code asks if the buttonValue we just read is high(pressed)
  // If it is, it turns the LED on. If it is not pressed it turns the
  // LED off.
  if (buttonValue == 1) {
    digitalWrite(led, HIGH);
  }
  else {
    digitalWrite(led, LOW);
  }

}
